<% . /usr/local/lib/cgi/generic.sh ; print_http_hdr %>
<% . /usr/local/lib/cgi/status.sh %>
<% . /usr/local/lib/cgi/config.sh %>

<% VERSION=$(cat /barix/info/VERSION) %>

<html lang="en_US">
<head>
    <title>IC Paging GW</title>

    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <link href="/theme/css/main.css?v=<% echo -n $VERSION %>" rel="stylesheet" type="text/css">
    <link href="../css/groups.css?v=<% echo -n $VERSION %>" rel="stylesheet" type="text/css">
    <link href="../css/modal.css?v=<% echo -n $VERSION %>" rel="stylesheet" type="text/css">
    <link href="/theme/css/loading.css?v=<% echo -n $VERSION %>" rel="stylesheet" type="text/css">

    <link href="../assets/fontawesome-free-5.15.4-web/css/all.css" rel="stylesheet">

    <script type="text/javascript" src="/javascript/modal.js?v=<% echo -n $VERSION %>"></script>
    <script type="text/javascript" src="/javascript/common-tools.js?v=<% echo -n $VERSION %>"></script>
    <script type="text/javascript" src="/app/javascript/jquery-3.3.1.min.js"></script>
    <script type="text/javascript" src="/app/javascript/groups.js?v=<% echo -n $VERSION %>"></script>
    <script type="text/javascript" src="/app/javascript/groups_requests.js?v=<% echo -n $VERSION %>"></script>

    <link rel="stylesheet" href="/theme/css/notify.css?v=<% echo -n $VERSION %>">
    <script type="text/javascript" src="/notify/notify.js?v=<% echo -n $VERSION %>"></script>

    <meta http-equiv="Content-type" content="text/html;charset=UTF-8">

</head>
<body style="margin-top: 0;" onload="loadGroups(editGroupDetails);">

    <div class="tab-content">
        <div id="main-content">
            <h2>Groups</h2>
            
                    <div class="section1">
                        <div style="display: flex; justify-content: flex-end;">
                            <button onclick="newGroup()" id="newGroupBtn">New Group <span style="font-weight: 600;">&#65291;</span></button>
                        </div>
                        <div id="group-div" style="padding-top: 10%; display: flex; justify-content: center;">
                            <div id="groups-section" style="position: relative;"></div>
                        </div>
                    </div>
        </div>

        <!-- CONTENT OF GROUP MODAL -->
        <div id="group-modal" style="display: none;">
            <div template="title">
                <div id="group-modal-title"></div>
            </div>
            <div template="body">
                <!--<form id="upload-form" name="upload-form" action="upload-certificate.cgi" class="upload-form" style="width: 100%;" method="POST" enctype="multipart/form-data">-->
                <form id="group-form" name="group-form" class="upload-form" style="width: 100%;">
                    <!--<input type="hidden" name="return_page" value="settings_ui.cgi">-->
                    <table class="labelValue">
                        <tbody>
                            <tr>
                                <td class="label" id="group-name-label">
                                    Name
                                </td>
                                <td class="value">
                                    <input id="group-name-input">
                                </td>
                            </tr>
                            <tr>
                                <td class="label" id="group-clients-label">
                                    Clients
                                </td>
                                <td>
                                    <table id="group-clients-table"></table>
                                </td>
                            </tr>
                        </tbody>
                    </table>
                    <div class="group-buttons">
                        <label id="selectAllCheckboxLabel"><input type="checkbox" id="selectAllCheckbox" onClick="selectAllCheckboxOnClick();"> <span id="selectAllSpan">Select all</span> </label>

                        <button type="button" id="deleteGroupBtn" hidden>Delete group</button>
                    </div>
                    <div class="modal-buttons">
                        <button id="modal-cancel-btn" class="red" type="button" onclick="closePopup('group-modal');" hidden>Cancel</button>
                        <button id="modal-submit-btn" class="green" type="button" hidden>Save</button>
                    </div>
                </form>
            </div>
        </div>

        <!-- LOADING SPINNER -->
        <div id="loading-spinner" style="display: none; width: 59%; text-align: center; top: calc(25vh); position: absolute;">
            <div id="loading" class="loading-ripple">
                <div></div>
                <div></div>
            </div>
            <div  style="width: 90%; margin: 48px auto 0; color: #333333; font-family: SourceSansPro, Arial, Helvetica, sans-serif; font-size:19px; font-weight:400; text-align:center;">
                <h3>Processing...</h3>
            </div>
        </div>
    </div>

    <div class="tab-help">
        <iframe src="../groups_help.html" style="border: none; width: 100%; height: 100%;"></iframe>
    </div>
</body>