<% . /usr/local/lib/cgi/generic.sh ; print_http_hdr %>
<% . /usr/local/lib/cgi/status.sh %>
<% . /usr/local/lib/cgi/config.sh %>

<% VERSION=$(cat /barix/info/VERSION) %>

<html lang="en_US">
<head>
    <title>IC Paging GW</title>
    
    <link href="/theme/css/main.css?v=<% echo -n $VERSION %>" rel="stylesheet" type="text/css">
    <link href="../css/paging.css?v=<% echo -n $VERSION %>" rel="stylesheet" type="text/css">
    <link href="../css/groups.css?v=<% echo -n $VERSION %>" rel="stylesheet" type="text/css">
    <link href="../css/vumeter.css?v=<% echo -n $VERSION %>" rel="stylesheet" type="text/css">
    <link href="../assets/fontawesome-free-5.15.4-web/css/all.css" rel="stylesheet">
    <link href="../css/audio_files.css?v=<% echo -n $VERSION %>" rel="stylesheet" type="text/css">

    <script type="module" src="/app/javascript/paging.js?v=<% echo -n $VERSION %>"></script>
    <script type="text/javascript" src="/app/javascript/groups_paging.js?v=<% echo -n $VERSION %>"></script>
    <script type="text/javascript" src="/app/javascript/groups.js?v=<% echo -n $VERSION %>"></script>
    <script type="text/javascript" src="/app/javascript/jquery-3.3.1.min.js"></script>

    <script type="text/javascript" src="/app/javascript/audio_files.js?v=<% echo -n $VERSION %>"></script>
    <script type="text/javascript" src="/app/javascript/audio_files_paging.js?v=<% echo -n $VERSION %>"></script>
    
    <meta http-equiv="Content-type" content="text/html;charset=UTF-8">

    <!-- Notification Popup -->
    <link rel="stylesheet" href="/theme/css/notify.css?v=<% echo -n $VERSION %>">
    <script src="/notify/notify.js?v=<% echo -n $VERSION %>"></script>
</head>
<body class=unselectable style="margin-top: 0;">
<div id="groups-list" style="display: none"><% echo -n $(cat /barix/apps/icpgw/groups_backup.json | jq) %></div>
    <%
        user=$(jq 'to_entries[] | select(.value.secret=='\"${FORM_token}\"') | [.key, .value.name]' /barix/apps/icpgw/users_backup.json)

        data=$(echo $user | sed -e 's/\[//g' -e 's/\]//g' -e 's/ //g')
        IFS=', ' read -r -a array <<< "$data"

        if [[ ${array[1]} = "\"\"" ]]
        then
            username=$(echo ${array[0]} | sed -e 's/\"//g')
            echo -n '<h2 style="font-style: italic">User '
            echo -n $username
            echo '</h2>'
        else
            username=$(echo ${array[1]} | sed -e 's/\"//g')
            echo -n "<h2>User: $username</h2>"
        fi

    %>

<div id="audio-files-list" style="display: none"><% echo -n $(cat /barix/apps/icpgw/audio_files_backup.json | jq) %></div>
    
<div name="paging" align="center" >
    <table class="section2" align="center" cellspacing="0" cellpadding="3" style="width: 100%;">
        <tbody align="center">
            <tr>
                <div id="group-div">
                    <div id="groups-section" style="position: relative;"></div>
                </div>
            </tr>
            <tr>
                <td>
                    <label id="selectAllCheckboxLabel" style="margin-top: 40px;">
                        <input type="checkbox" id="selectAllCheckbox"> <span id="selectAllSpan">Select all</span>
                    </label>
                </td>
            </tr>
            <tr>
            </tr>
            <tr>
                <td>
                    <div style="position: relative; margin-top: 50px;">
                        <button class="paging-button" id="page">Push to talk</button>
                        <canvas id="canvas" width="80" height="210"></canvas>
                    </div>
                </td>
            </tr>
            <tr>
                <td>
                    <label id="enableRecordingCheckboxLabel" style="position: relative; margin-top: 20px;">
                        <input type="checkbox" id="enableRecordingCheckbox"> <span id="enableRecordingSpan">Enable recording (better quality, higher delay)</span>
                    </label>
                </td>
            </tr>
            <tr>
                <td>
                    <div>
                        <audio id="recording" style="display:None" width="160" height="120" controls ></audio>
                    </div>
                    
                    <div class="send_recording">
                        <button id="sendButton" style="position: relative; display:None" class="recording_buttons" >
                            Send
                        </button>
                        <!-- invisible -->
                        <div class="bottom">
                            <pre id="log_recording" style="display:None"></pre>
                        </div>
                    </div>
                </td>
            </tr>

            <tr>
            <p id="sample_rate_val_id" style="display:None;"> <% echo -n $(cfg_print_param icpgw.barp.sample_rate) %> </p>
            <tr>             
                  
        </tbody>

    </table>
    <div>  
        <tr>
            <div id="audioFile-div">
                <div id="audioFiles-section" style="position: relative; margin-top: 30px;">
                </div>
            </div>
        </tr>
    </div>
</div>
</body>
</html>